Summary: OpenFabrics Alliance InfiniBand MAD library
Name: libibmad
Version: 1.2.3
Release: 1%{?dist}
License: GPL/BSD
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source: http://www.openfabrics.org/downloads/management/%{name}-%{version}.tar.gz
Url: http://openfabrics.org/
BuildRequires: libibumad >= 1.2, libibumad-devel >= 1.2, libtool
BuildRequires: libibcommon >= 1.1, libibcommon-devel >= 1.1
ExclusiveArch: i386 x86_64 ia64 ppc ppc64
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
libibmad provides low layer IB functions for use by the IB diagnostic
and management programs. These include MAD, SA, SMP, and other basic
IB functions. 

%package devel
Summary: Development files for the libibmad library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}, libibumad-devel
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description devel
Development files for the libibmad library.

%package static
Summary: Static version of the libibmad library
Group: System Environment/Libraries
Requires: %{name}-devel = %{version}-%{release}

%description static
Static version of the libibmad library

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} install
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libibmad*.so.*
%doc AUTHORS COPYING ChangeLog

%files devel
%defattr(-,root,root)
%{_libdir}/libibmad.so
%{_includedir}/infiniband/*.h

%files static
%defattr(-,root,root)
%{_libdir}/libibmad.a

%changelog
* Thu Jan 22 2009 Doug Ledford <dledford@redhat.com> - 1.2.3-1
- Update to latest stable upstream release
- Related: bz454778

* Tue Apr 01 2008 Doug Ledford <dledford@redhat.com> - 1.1.6-1
- Update to OFED 1.3 final version
- Related: bz441825

* Thu Jan 24 2008 Doug Ledford <dledford@redhat.com> - 1.1.5-1
- Build against latest libibumad

* Fri Jan 18 2008 Doug Ledford <dledford@redhat.com> - 1.1.5-0.1
- Initial import from upstream
